### Function

# ECal Client connect_finish

since: 3.8

#### Declaration [src]

    EClient*
    e_cal_client_connect_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes the operation started with e_cal_client_connect(). If an error occurs in connecting to the D-Bus service, the function sets `error` and returns `NULL`.

For error handling convenience, any error message returned by this function will have a descriptive prefix that includes the display name of the `ESource` passed to e_cal_client_connect().

Available since: 3.8

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `EClient`

A new `ECalClient`, or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.